Event::ItemOperation Struct Reference

`#include <pubsubevent.h>`

## Public Member Functions

| ItemOperation (bool remove, const std::string &itemid, const Tag *pld=0)
| ItemOperation (const ItemOperation &right)

## Detailed Description

Stores a retract or item notification.

Definition at line 41 of file pubsubevent.h.

## Constructor & Destructor Documentation

## ItemOperation() [1/2]

ItemOperation | ( | bool | remove,
|  | const std::string & | itemid,
|  | const Tag * | pld = 0 )

inline

Constructor.

Parameters

  remove | Whether this is a retract operation or not (ie item).
  itemid | Item ID of this item.
  pld | Payload for this object (in the case of a non transient item notification).

Definition at line 51 of file pubsubevent.h.

## ItemOperation() [2/2]

ItemOperation | ( | const ItemOperation & | right | ) |

Copy constructor.

Parameters

  right | The ItemOperation to copy from.

Definition at line 33 of file pubsubevent.cpp.

The documentation for this struct was generated from the following files:

- pubsubevent.h
- pubsubevent.cpp